Read settings
const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://getoverlay.io/api/v1/settings \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Settings
Read settings
GET
/
api
/
v1
/
settings
Read settings
const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://getoverlay.io/api/v1/settings \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.